# Uses of Class
net.sourceforge.jiu.geometry.ResampleFilter

Packages that use ResampleFilter
Package
Description
net.sourceforge.jiu.geometry

## Uses of ResampleFilter in net.sourceforge.jiu.geometry

Subclasses of ResampleFilter in net.sourceforge.jiu.geometry
Modifier and Type
Class
Description
`class`
`BellFilter`
A Bell resample filter.
`class`
`BoxFilter`
A box filter (also known as nearest neighbor).
`class`
`BSplineFilter`
A B-spline resample filter.
`class`
`HermiteFilter`
A Hermite resampling filter.
`class`
`Lanczos3Filter`
The Lanczos 3 resample filter.
`class`
`MitchellFilter`
The Mitchell resample filter.
`class`
`TriangleFilter`
A triangle filter (also known as linear or bilinear filter).
Fields in net.sourceforge.jiu.geometry declared as ResampleFilter
Modifier and Type
Field
Description
`private ResampleFilter`
Resample.`filter`
Methods in net.sourceforge.jiu.geometry that return ResampleFilter
Modifier and Type
Method
Description
`private static ResampleFilter`
Resample.`createFilter(int filterType)`
`ResampleFilter`
Resample.`getFilter()`
Returns the filter to be used in this operation.
Methods in net.sourceforge.jiu.geometry with parameters of type ResampleFilter
Modifier and Type
Method
Description
`void`
Resample.`setFilter(ResampleFilter newFilter)`
Set a new filter object to be used with this operation.